Bug 433847 - (CVE-2008-0597) CVE-2008-0597 cups: dereference of free'd memory handling IPP browse requests
CVE-2008-0597 cups: dereference of free'd memory handling IPP browse requests
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20080225,reported=20080222,sou...
: Security
Depends On: 433827 433828 433829
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-21 13:44 EST by Mark J. Cox (Product Security)
Modified: 2008-07-28 03:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-25 09:34:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch as used in Red Hat Enterprise Linux 4 CUPS packages based on upstream 1.1.22rc1 (823 bytes, patch)
2008-07-28 03:05 EDT, Tomas Hoger
no flags Details | Diff

  None (edit)
Description Mark J. Cox (Product Security) 2008-02-21 13:44:07 EST
Whilst investigating a memory leak issue handling IPP browse requests (Bug
#433825) we discovered that older versions of CUPS as shipped with Enterprise
Linux 3 and 4 could end up derefencing free'd memory.

A malicious user on the local subnet could send a set of carefully crafted IPP
packets to the udp port in such a way as to cause CUPS to crash.

This issue doesn't affect recent upstream versions of CUPS as shipped in Red Hat
Enterprise Linux 5.
Comment 4 Tomas Hoger 2008-02-25 08:13:46 EST
Lifting embargo.
Comment 5 Red Hat Product Security 2008-02-25 09:34:20 EST
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2008-0153.html
  http://rhn.redhat.com/errata/RHSA-2008-0161.html

Comment 6 Tomas Hoger 2008-07-28 03:05:47 EDT
Created attachment 312753 [details]
Patch as used in Red Hat Enterprise Linux 4 CUPS packages based on upstream 1.1.22rc1

Note You need to log in before you can comment on or make changes to this bug.